﻿using DWZB_Agv_Agreement.Agv_Agreement;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DWZB_Agv_Agreement.Agv_Agreement_New
{
    public class AgvCmdActionControlMd : DataHeadMd_New
    {
        private const int btyArrLen = 20;
        /// <summary>
        /// 指令编号
        /// </summary>
        public uint CmdNo { get; set; }
        /// <summary>
        /// 指令代码
        /// </summary>
        public byte CmdCode { get; set; }
        /// <summary>
        /// 任务类型
        /// </summary>
        public byte ActionType { get; set; }
        /// <summary>
        /// 序列化为byte数组。
        /// </summary>
        public byte[] SerializeBytArr()
        {
            List<byte> retBtArr = new(btyArrLen);
            retBtArr.Add((byte)FunctionCode);
            retBtArr.AddRange(DataHandleHelper.ReverseBtyArr(BitConverter.GetBytes(AgvNo)));
            retBtArr.AddRange(DataHandleHelper.ReverseBtyArr(BitConverter.GetBytes(CmdNo)));
            retBtArr.Add(CmdCode);
            retBtArr.Add(ActionType);
            return retBtArr.ToArray();
        }
    }
}
