﻿using DWZB_Agv_Agreement.Agv_Agreement;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DWZB_Agv_Agreement.Agv_Agreement_New
{
    public class AgvQueryStatusMd_New : DataHeadMd_New
    {
        private const int btyArrLen = 9;
        /// <summary>
        /// 心跳信号
        /// </summary>
        public uint HeartbeatSignal { get; set; }
        /// <summary>
        /// 序列化为byte数组。
        /// </summary>
        public byte[] SerializeBytArr()
        {
            List<byte> retBtArr = new(btyArrLen);
            retBtArr.Add((byte)FunctionCode);
            retBtArr.AddRange(DataHandleHelper.ReverseBtyArr(BitConverter.GetBytes(AgvNo)));
            retBtArr.AddRange(DataHandleHelper.ReverseBtyArr(BitConverter.GetBytes(HeartbeatSignal)));
            return retBtArr.ToArray();
        }
    }
}
