﻿using DWZB_Agv_Agreement.Agv_Agreement;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DWZB_Agv_Agreement.Agv_Agreement_New
{
    public static class CommonLibrary
    {
        public static byte[] GetIdentityBtyArr()
        {
            IdentityVerificationMd verificationMd = new() { FunctionCode = FunctionCodeEnum.AGV身份验证 };
            byte[] btArrData = verificationMd.SerializeBytArr();
            byte[] dataLen = BitConverter.GetBytes(btArrData.Length);
            Array.Reverse(dataLen);

            PackageHeadMd packageHeadMd = new();
            packageHeadMd.DataLen = dataLen;
            packageHeadMd.Data_CRC = DataHandleHelper.Get_CustomCRC(btArrData);

            List<byte> headBtLst = new(8);
            headBtLst.AddRange(packageHeadMd.PackageHeadFlag);
            headBtLst.AddRange(packageHeadMd.DataLen);
            headBtLst.Add(packageHeadMd.VersionNo);
            headBtLst.Add(packageHeadMd.Data_CRC);
            packageHeadMd.PackageHead_CRC = DataHandleHelper.Get_CustomCRC(headBtLst.ToArray());
            byte[] btArrHead = packageHeadMd.SerializeBytArr();

            return btArrHead.Concat(btArrData).ToArray();
        }
    }
}
