﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DWZB_Agv_Agreement
{
    public class ShowLogToFrmEventArgs : EventArgs
    {
        private readonly string _showMsg = string.Empty;
        private LogTypeEnum _logTypeEnum;
        public ShowLogToFrmEventArgs(string msg, LogTypeEnum logTypeEnum)
        {
            _logTypeEnum = logTypeEnum;
            _showMsg = msg;
        }

        public string ShowMsg
        {
            get { return _showMsg; }
        }
        public LogTypeEnum LogType
        {
            get { return _logTypeEnum; }
        }
    }
}
