﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DWZB_Agv_Agreement.Graph
{
    /// <summary>
    /// 图的抽象接口
    /// </summary>
    public interface IGraph
    {
        public int V();
        public int E();
        public void AddEdge(int v, int w);
        public bool HasEdge(int v, int w);
        void Show();
        public List<int> Adj(int v);
    }
}
