﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.Sockets;
using System.Text;
using System.Threading;
using System.Threading.Tasks;

namespace DWZB_Agv_Agreement
{
    public class StateObject
    {
        public Socket WorkSocket = null;
        public const int BUFFER_SIZE = 1024;
        public byte[] buffer = new byte[BUFFER_SIZE];
        public List<byte> allBtyLst = new List<byte>();
        /// <summary>
        /// 操作完成的信号
        /// </summary>
        public ManualResetEvent WaitDone { get; set; }
        /// <summary>
        /// 是否发生了错误
        /// </summary>
        public bool IsError { get; set; }

        /// <summary>
        /// 错误消息
        /// </summary>
        public string ErrerMsg { get; set; }
        /// <summary>
        /// 是否关闭了通道
        /// </summary>
        public bool IsClose { get; set; }
    }
}
